summaryrefslogtreecommitdiff
path: root/debian/util-linux.postinst
diff options
context:
space:
mode:
authorLaMont Jones <lamont@mmjgroup.com>2007-08-26 11:20:53 -0600
committerLaMont Jones <lamont@mmjgroup.com>2007-08-26 11:20:53 -0600
commit539a6ea6866e9afe2247ddbba436c0538a515617 (patch)
tree5adac12a0464299fbf3d03316f0a6993a935cc80 /debian/util-linux.postinst
parent9d5f24dfad4fc375f3ce677df1b734048638036d (diff)
downloadutil-linux-old-539a6ea6866e9afe2247ddbba436c0538a515617.tar.gz
build: /usr/bin/rename needs to be an alternative. Closes: #439647
Diffstat (limited to 'debian/util-linux.postinst')
-rw-r--r--debian/util-linux.postinst44
1 files changed, 44 insertions, 0 deletions
diff --git a/debian/util-linux.postinst b/debian/util-linux.postinst
new file mode 100644
index 00000000..9470d828
--- /dev/null
+++ b/debian/util-linux.postinst
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+umask 022
+set -e
+
+install-info --quiet --section "Development" "Development" \
+ --description="System V interprocess communication facilities" \
+ /usr/share/info/ipc.info.gz
+update-alternatives --install /usr/bin/pager pager /bin/more 50 \
+ --slave /usr/share/man/man1/pager.1.gz pager.1.gz /usr/share/man/man1/more.1.gz
+update-alternatives --install /usr/bin/pager pager /usr/bin/pg 10 \
+ --slave /usr/share/man/man1/pager.1.gz pager.1.gz /usr/share/man/man1/pg.1.gz
+update-alternatives --install /usr/bin/rename rename /usr/bin/rename.ul 20 \
+ --slave /usr/share/man/man1/rename.1.gz rename.1.gz /usr/share/man/man1/rename.ul.1.gz
+
+#
+# Check if links to hwclock.sh are present in runlevel "6".
+# If not, remove the ones from runlevel "S" so that
+# update-rc.d will do it's job.
+#
+if [ ! -f /etc/rc6.d/???hwclock.sh ] && [ ! -f /etc/rc0.d/???hwclock.sh ]
+then
+ rm -f /etc/rcS.d/???hwclock.sh
+fi
+
+# hwclock works on all Linux architectures, except s390 (and s390x, of course).
+if [ "$(uname -s)" = "Linux" ]; then
+ model=$(uname -m)
+ if [ ${model%x} != "s390" ]; then
+ update-rc.d -f hwclock.sh remove 2>/dev/null > /dev/null
+ update-rc.d hwclock.sh start 11 S . stop 25 0 6 . > /dev/null
+ update-rc.d -f hwclockfirst.sh remove 2>/dev/null > /dev/null
+ fi
+fi
+
+if [ -x /usr/sbin/update-mime ]; then
+ update-mime
+fi
+
+if [ -L /usr/doc/util-linux ] ; then
+ rm -f /usr/doc/util-linux
+fi
+
+#DEBHELPER#